-------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------
-- Recording when the venue has started
-------------------------------------------------------------------------------------------------
local venueStarted = false
local gnarlyShowing = false

local                           mRandomTriggerDelay        = 2
local                           mRandomTriggerCounter      = mRandomTriggerDelay
local                           firstDolphin = getStationWithId("Dolphins4")

registerMessageHandler("kVenueStarted", "", {},
	function()
		venueStarted = true
	end
)

registerMessageHandler("kStarted", "Gnarly1", {"idle"},
    function()
        gnarlyShowing = true
    end
)

registerMessageHandler("kStarted", "Gnarly2", {"idle"},
    function()
        gnarlyShowing = true
    end
)

registerMessageHandler("kStarted", "Gnarly3", {"idle"},
    function()
        gnarlyShowing = true
    end
)

registerMessageHandler("kStarted", "Gnarly4", {"idle"},
    function()
        gnarlyShowing = true
    end
)

registerMessageHandler("kStarted", "Gnarly5", {"idle"},
    function()
        gnarlyShowing = true
    end
)

registerMessageHandler("kEnded", "Gnarly1", {"idle"},
    function()
        gnarlyShowing = false
    end
)

registerMessageHandler("kEnded", "Gnarly2", {"idle"},
    function()
        gnarlyShowing = false
    end
)

registerMessageHandler("kEnded", "Gnarly3", {"idle"},
    function()
        gnarlyShowing = false
    end
)

registerMessageHandler("kEnded", "Gnarly4", {"idle"},
    function()
        gnarlyShowing = false
    end
)

registerMessageHandler("kEnded", "Gnarly5", {"idle"},
    function()
        gnarlyShowing = false
    end
)
-------------------------------------------------------------------------------------------------
-- Per frame updates
-------------------------------------------------------------------------------------------------
setUpdateFunction(
	function (timeDelta)
		-- If the venue has not started, do nothing
		if not venueStarted then
			return
		end

        mRandomTriggerCounter = mRandomTriggerCounter - timeDelta




        if mRandomTriggerCounter <= 0 then
            -- Enough time has passed to trigger Gnarly
            mRandomTriggerCounter = mRandomTriggerDelay
            -- 5/8 of the targets are valid
            local gNum = math.random(1,8)
            if not gnarlyShowing then
                local gId = "Gnarly" .. gNum
                sendStationMsgWithParamsAndUserData("kActivate", { gId }, { })
            end
            if gNum < 5 then
                sendStationMsgWithParamsAndUserData("kActivate", { "StartDolphins" }, { })
            end
        end


	end
)

